Facebook SDK Version Not Up-to-Date

SDK Version: 40
Platforms(Android/iOS/web/all): iOS

Hi,
We want to track app events with facebook and set up facebook ads. We’re in the managed workflow, and use expo-facebook package.

// App.js
import * as Facebook from 'expo-facebook';
...
try {
      await Facebook.initializeAsync({
        appId: "<appId>",
        appName: "<appName>",
        autoLogAppEvents: true,
      })
      await Facebook.setAutoLogAppEventsEnabledAsync(true);
      await Facebook.setAdvertiserIDCollectionEnabledAsync(true);
      console.log("Facebook initialized successfully")
    } catch ({ message }) {
      console.log("facebook initialize error: ", message)
    }
// app.json
{
  "expo": {
  ...
  "facebookAppId": "<appId>",
   "facebookAutoLogAppEventsEnabled": true,
   "facebookScheme": "<fbScheme>",
  ...

We could be able to log the events in the FB Analytics. But when we try to set up facebook ads, we get an error “We haven’t received any standard app events from your app”, although we see many events in the dashboard. We’ve contacted with Facebook, and the problem is that the FB SDK that is used in our expo-facebook version is too old. We have also generated builds with expo-facebook@9.1.0 and expo-facebook@10.0.0 and expo-facebook@11.0.1.

For every expo-facebook version we used, we still see the SDK version as 5.8.0 in the FB dashboard. Apparently, 5.8.0 is too old to set up facebook ads. We would like to get your help on how to set up facebook ads, or how to update Facebook SDK version within the managed workflow. We’ll be very pleased to hear if it’s not possible right now, but have any plans for the next Expo SDKs.

1 Like

They are upgrading it for Expo SDK 41: